/*****************************************************************************
 *****************************************************************************
 *     _    __  __ ____  _____ ____             _          _               
 *    / \  |  \/  | __ )| ____|  _ \  __      _(_)_ __ ___| | ___  ___ ___ 
 *   / _ \ | |\/| |  _ \|  _| | |_) | \ \ /\ / / | '__/ _ \ |/ _ \/ __/ __|
 *  / ___ \| |  | | |_) | |___|  _ <   \ V  V /| | | |  __/ |  __/\__ \__ \
 * /_/   \_\_|  |_|____/|_____|_| \_\   \_/\_/ |_|_|  \___|_|\___||___/___/
 *
 *																			 
 * Module Name:																  
 * ============
 *
 *			MY_Std.h
 *
 * Purpose:			
 * ========
 *                      
 *                      standard header  
 *			
 * Author(s) & Creation Date:	
 * ==========================
 *
 *			Timo Koch, 2004/03/01
 *
 *
 * Copyright:	
 * ==========
 *
 *			AMBER wireless GmbH, Inc.
 *			Albin Koebis Strasse 18
 *			D-50858 Koeln, Germany
 *			Phone:		+49 (0) 2203-369472
 *			Fax:		+49 (0) 2203-459883
 *			Internet:	www.amber-wireless.de
 *
 *----------------------------------------------------------------
 * All software and related documentation is provided "AS IS" and 
 * without warranty or support of any kind and AMBER wireless 
 * expressly disclaims all other warranties, express or implied, 
 * including, but not limited to, the implied warranties of 
 * merchantability and fitness for a particular purpose. Under no 
 * circumstances shall AMBER wireless be liable for any 
 * incidental, special or consequential damages that result from 
 * the use or inability to use the software or related 
 * documentation, even if AMBER wireless has been advised of 
 * the liability.
 *
 * Unless otherwise stated, software written and copyrighted by 
 * AMBER wireless is distributed as "freeware". You may use 
 * and modify this software without any charge or restriction. 
 * You may distribute to others, as long as the original author 
 * is acknowledged.
 *
 * You may not use the Program in non-AMBER devices.
 *
 *****************************************************************************
 *****************************************************************************/


#ifndef _MY_STD_H_
#define _MY_STD_H_

#include "msp430x14x.h"


typedef unsigned char   uint8_t;
typedef unsigned int    uint16_t;
typedef unsigned long   uint32_t;    
typedef signed char     int8_t;
typedef signed int      int16_t;
typedef signed long     int32_t;

typedef float		float_t;



#if __VER__ >= 300   
  #define GLOBAL_INTERRUPT_ENABLE()   __enable_interrupt() 
#else
  #define GLOBAL_INTERRUPT_ENABLE()   _EINT() 
#endif  

#if __VER__ >= 300   
  #define GLOBAL_INTERRUPT_DISABLE()   __disable_interrupt() 
#else
  #define GLOBAL_INTERRUPT_DISABLE()   _DINT() 
#endif  

#if __VER__ >= 300   
  #define NOP()   __no_operation() 
#else
  #define NOP()   _NOP() 
#endif

#define WATCHDOG_STOP()   WDTCTL = WDTPW + WDTHOLD
#define WATCHDOG_START()  WDTCTL = WDTPW

#define INFOA 0x01080
#define INFOB 0x01000

#define SEG_INFOA_START 0x01080
#define SEG_INFOA_END   0x010FF
#define SEG_INFOB_START 0x01000
#define SEG_INFOB_END   0x0107F

#endif     
