/*****************************************************************************
 *
 * Generated with Perl script mk_portdef.pl, 2003/09/05
 *
 *****************************************************************************/


/*****************************************************************************
 *****************************************************************************
 *     _    __  __ ____  _____ ____             _          _               
 *    / \  |  \/  | __ )| ____|  _ \  __      _(_)_ __ ___| | ___  ___ ___ 
 *   / _ \ | |\/| |  _ \|  _| | |_) | \ \ /\ / / | '__/ _ \ |/ _ \/ __/ __|
 *  / ___ \| |  | | |_) | |___|  _ <   \ V  V /| | | |  __/ |  __/\__ \__ \
 * /_/   \_\_|  |_|____/|_____|_| \_\   \_/\_/ |_|_|  \___|_|\___||___/___/
 *
 *																			 
 * Module Name:																  
 * ============
 *
 *			portdef.h
 *
 * Purpose:			
 * ========
 *
 *                      port description header 
 *			
 * Author(s) & Creation Date:	
 * ==========================
 *
 *			Timo Koch, 2004/03/01
 *
 *
 * Copyright:	
 * ==========
 *
 *			AMBER wireless GmbH, Inc.
 *			Albin Koebis Strasse 18
 *			D-50858 Koeln, Germany
 *			Phone:		+49 (0) 2203-369472
 *			Fax:		+49 (0) 2203-459883
 *			Internet:	www.amber-wireless.de
 *
 *----------------------------------------------------------------
 * All software and related documentation is provided "AS IS" and 
 * without warranty or support of any kind and AMBER wireless 
 * expressly disclaims all other warranties, express or implied, 
 * including, but not limited to, the implied warranties of 
 * merchantability and fitness for a particular purpose. Under no 
 * circumstances shall AMBER wireless be liable for any 
 * incidental, special or consequential damages that result from 
 * the use or inability to use the software or related 
 * documentation, even if AMBER wireless has been advised of 
 * the liability.
 *
 * Unless otherwise stated, software written and copyrighted by 
 * AMBER wireless is distributed as "freeware". You may use 
 * and modify this software without any charge or restriction. 
 * You may distribute to others, as long as the original author 
 * is acknowledged.
 *
 * You may not use the Program in non-AMBER devices.
 *
 *****************************************************************************
 *****************************************************************************/


#ifndef PORTDEF_H
#define PORTDEF_H



#define PIN0  0x01 
#define PIN1  0x02
#define PIN2  0x04 
#define PIN3  0x08
#define PIN4  0x10
#define PIN5  0x20
#define PIN6  0x40
#define PIN7  0x80  

/* ---------------------------------------------------------------------------
 *
 * ST3_10 / Bluetooth LED
 *
 *	Port1
 *	Pin 1.1
 *	Function selected: Port
 *	Initial direction: Input
 *	Initial level: "Low"
 *	Not inverted
 */
#define ST3_10 (unsigned char)0x02
#define P_ST3_10_IN  P1IN
#define P_ST3_10_OUT P1OUT
#define P_ST3_10_DIR P1DIR
#define P_ST3_10_IFG P1IFG
#define P_ST3_10_IES P1IES
#define P_ST3_10_IE  P1IE
#define P_ST3_10_SEL P1SEL

#define SET_ST3_10() P1OUT |= ST3_10 
#define RST_ST3_10() P1OUT &= ~ST3_10 
#define TOGGLE_ST3_10() P1OUT ^= ST3_10 
#define ST3_10_IS_SET() ((P1IN & ST3_10) == ST3_10)
#define ST3_10_IS_RST() ((P1IN & ST3_10) != ST3_10)
#define SWITCH_ST3_10_OUTPUT() P1DIR |= ST3_10 
#define SWITCH_ST3_10_INPUT() P1DIR &= ~ST3_10 
#define ENABLE_ST3_10_INTERRUPT() P1IE |= ST3_10 
#define DISABLE_ST3_10_INTERRUPT() P1IE &= ~ST3_10 
#define SELECT_ST3_10_FALLING_EDGE() P1IES |= ST3_10 
#define SELECT_ST3_10_RISING_EDGE() P1IES &= ~ST3_10 
#define ST3_10_IFG_IS_SET() ((P1IFG & ST3_10) == ST3_10)
#define ST3_10_IFG_IS_RST() ((P1IFG & ST3_10) != ST3_10)
#define RST_ST3_10_IFG() P1IFG &= ~ST3_10 
#define SELECT_ST3_10_PORTFUNC() P1SEL &= ~ST3_10 
#define SELECT_ST3_10_MODULEFUNC() P1SEL |= ST3_10 

/* ---------------------------------------------------------------------------
 *
 * ISEL_1
 *
 *	Port1
 *	Pin 1.6
 *	Function selected: Port
 *	Initial direction: Output
 *	Initial level: "High"
 *	Not inverted
 */
#define ISEL_1 (unsigned char)0x40
#define P_ISEL_1_IN  P1IN
#define P_ISEL_1_OUT P1OUT
#define P_ISEL_1_DIR P1DIR
#define P_ISEL_1_IFG P1IFG
#define P_ISEL_1_IES P1IES
#define P_ISEL_1_IE  P1IE
#define P_ISEL_1_SEL P1SEL

#define SET_ISEL_1() P1OUT |= ISEL_1 
#define RST_ISEL_1() P1OUT &= ~ISEL_1 
#define TOGGLE_ISEL_1() P1OUT ^= ISEL_1 
#define ISEL_1_IS_SET() ((P1IN & ISEL_1) == ISEL_1)
#define ISEL_1_IS_RST() ((P1IN & ISEL_1) != ISEL_1)
#define SWITCH_ISEL_1_OUTPUT() P1DIR |= ISEL_1 
#define SWITCH_ISEL_1_INPUT() P1DIR &= ~ISEL_1 
#define ENABLE_ISEL_1_INTERRUPT() P1IE |= ISEL_1 
#define DISABLE_ISEL_1_INTERRUPT() P1IE &= ~ISEL_1 
#define SELECT_ISEL_1_FALLING_EDGE() P1IES |= ISEL_1 
#define SELECT_ISEL_1_RISING_EDGE() P1IES &= ~ISEL_1 
#define ISEL_1_IFG_IS_SET() ((P1IFG & ISEL_1) == ISEL_1)
#define ISEL_1_IFG_IS_RST() ((P1IFG & ISEL_1) != ISEL_1)
#define RST_ISEL_1_IFG() P1IFG &= ~ISEL_1 
#define SELECT_ISEL_1_PORTFUNC() P1SEL &= ~ISEL_1 
#define SELECT_ISEL_1_MODULEFUNC() P1SEL |= ISEL_1 

/* ---------------------------------------------------------------------------
 *
 * ISEL_2
 *
 *	Port1
 *	Pin 1.7
 *	Function selected: Port
 *	Initial direction: Output
 *	Initial level: "Low"
 *	Not inverted
 */
#define ISEL_2 (unsigned char)0x80
#define P_ISEL_2_IN  P1IN
#define P_ISEL_2_OUT P1OUT
#define P_ISEL_2_DIR P1DIR
#define P_ISEL_2_IFG P1IFG
#define P_ISEL_2_IES P1IES
#define P_ISEL_2_IE  P1IE
#define P_ISEL_2_SEL P1SEL

#define SET_ISEL_2() P1OUT |= ISEL_2 
#define RST_ISEL_2() P1OUT &= ~ISEL_2 
#define TOGGLE_ISEL_2() P1OUT ^= ISEL_2 
#define ISEL_2_IS_SET() ((P1IN & ISEL_2) == ISEL_2)
#define ISEL_2_IS_RST() ((P1IN & ISEL_2) != ISEL_2)
#define SWITCH_ISEL_2_OUTPUT() P1DIR |= ISEL_2 
#define SWITCH_ISEL_2_INPUT() P1DIR &= ~ISEL_2 
#define ENABLE_ISEL_2_INTERRUPT() P1IE |= ISEL_2 
#define DISABLE_ISEL_2_INTERRUPT() P1IE &= ~ISEL_2 
#define SELECT_ISEL_2_FALLING_EDGE() P1IES |= ISEL_2 
#define SELECT_ISEL_2_RISING_EDGE() P1IES &= ~ISEL_2 
#define ISEL_2_IFG_IS_SET() ((P1IFG & ISEL_2) == ISEL_2)
#define ISEL_2_IFG_IS_RST() ((P1IFG & ISEL_2) != ISEL_2)
#define RST_ISEL_2_IFG() P1IFG &= ~ISEL_2 
#define SELECT_ISEL_2_PORTFUNC() P1SEL &= ~ISEL_2 
#define SELECT_ISEL_2_MODULEFUNC() P1SEL |= ISEL_2 

/* ---------------------------------------------------------------------------
 *
 * UART1_RTS
 *
 *	Port2
 *	Pin 2.0
 *	Function selected: Port
 *	Initial direction: Input
 *	Initial level: "Low"
 *	Not inverted
 */
#define UART1_RTS (unsigned char)0x01
#define P_UART1_RTS_IN  P2IN
#define P_UART1_RTS_OUT P2OUT
#define P_UART1_RTS_DIR P2DIR
#define P_UART1_RTS_IFG P2IFG
#define P_UART1_RTS_IES P2IES
#define P_UART1_RTS_IE  P2IE
#define P_UART1_RTS_SEL P2SEL

#define SET_UART1_RTS() P2OUT |= UART1_RTS 
#define RST_UART1_RTS() P2OUT &= ~UART1_RTS 
#define TOGGLE_UART1_RTS() P2OUT ^= UART1_RTS 
#define UART1_RTS_IS_SET() ((P2IN & UART1_RTS) == UART1_RTS)
#define UART1_RTS_IS_RST() ((P2IN & UART1_RTS) != UART1_RTS)
#define SWITCH_UART1_RTS_OUTPUT() P2DIR |= UART1_RTS 
#define SWITCH_UART1_RTS_INPUT() P2DIR &= ~UART1_RTS 
#define ENABLE_UART1_RTS_INTERRUPT() P2IE |= UART1_RTS 
#define DISABLE_UART1_RTS_INTERRUPT() P2IE &= ~UART1_RTS 
#define SELECT_UART1_RTS_FALLING_EDGE() P2IES |= UART1_RTS 
#define SELECT_UART1_RTS_RISING_EDGE() P2IES &= ~UART1_RTS 
#define UART1_RTS_IFG_IS_SET() ((P2IFG & UART1_RTS) == UART1_RTS)
#define UART1_RTS_IFG_IS_RST() ((P2IFG & UART1_RTS) != UART1_RTS)
#define RST_UART1_RTS_IFG() P2IFG &= ~UART1_RTS 
#define SELECT_UART1_RTS_PORTFUNC() P2SEL &= ~UART1_RTS 
#define SELECT_UART1_RTS_MODULEFUNC() P2SEL |= UART1_RTS 

/* ---------------------------------------------------------------------------
 *
 * TX_SWITCH_P
 *
 *	Port2
 *	Pin 2.1
 *	Function selected: Port
 *	Initial direction: Input
 *	Initial level: "Low"
 *	Not inverted
 */
#define TX_SWITCH_P (unsigned char)0x02
#define P_TX_SWITCH_P_IN  P2IN
#define P_TX_SWITCH_P_OUT P2OUT
#define P_TX_SWITCH_P_DIR P2DIR
#define P_TX_SWITCH_P_IFG P2IFG
#define P_TX_SWITCH_P_IES P2IES
#define P_TX_SWITCH_P_IE  P2IE
#define P_TX_SWITCH_P_SEL P2SEL

#define SET_TX_SWITCH_P() P2OUT |= TX_SWITCH_P 
#define RST_TX_SWITCH_P() P2OUT &= ~TX_SWITCH_P 
#define TOGGLE_TX_SWITCH_P() P2OUT ^= TX_SWITCH_P 
#define TX_SWITCH_P_IS_SET() ((P2IN & TX_SWITCH_P) == TX_SWITCH_P)
#define TX_SWITCH_P_IS_RST() ((P2IN & TX_SWITCH_P) != TX_SWITCH_P)
#define SWITCH_TX_SWITCH_P_OUTPUT() P2DIR |= TX_SWITCH_P 
#define SWITCH_TX_SWITCH_P_INPUT() P2DIR &= ~TX_SWITCH_P 
#define ENABLE_TX_SWITCH_P_INTERRUPT() P2IE |= TX_SWITCH_P 
#define DISABLE_TX_SWITCH_P_INTERRUPT() P2IE &= ~TX_SWITCH_P 
#define SELECT_TX_SWITCH_P_FALLING_EDGE() P2IES |= TX_SWITCH_P 
#define SELECT_TX_SWITCH_P_RISING_EDGE() P2IES &= ~TX_SWITCH_P 
#define TX_SWITCH_P_IFG_IS_SET() ((P2IFG & TX_SWITCH_P) == TX_SWITCH_P)
#define TX_SWITCH_P_IFG_IS_RST() ((P2IFG & TX_SWITCH_P) != TX_SWITCH_P)
#define RST_TX_SWITCH_P_IFG() P2IFG &= ~TX_SWITCH_P 
#define SELECT_TX_SWITCH_P_PORTFUNC() P2SEL &= ~TX_SWITCH_P 
#define SELECT_TX_SWITCH_P_MODULEFUNC() P2SEL |= TX_SWITCH_P 

/* ---------------------------------------------------------------------------
 *
 * ST3_9
 *
 *	Port2
 *	Pin 2.2
 *	Function selected: Port
 *	Initial direction: Input
 *	Initial level: "Low"
 *	Not inverted
 */
#define ST3_9 (unsigned char)0x04
#define P_ST3_9_IN  P2IN
#define P_ST3_9_OUT P2OUT
#define P_ST3_9_DIR P2DIR
#define P_ST3_9_IFG P2IFG
#define P_ST3_9_IES P2IES
#define P_ST3_9_IE  P2IE
#define P_ST3_9_SEL P2SEL

#define SET_ST3_9() P2OUT |= ST3_9 
#define RST_ST3_9() P2OUT &= ~ST3_9 
#define TOGGLE_ST3_9() P2OUT ^= ST3_9 
#define ST3_9_IS_SET() ((P2IN & ST3_9) == ST3_9)
#define ST3_9_IS_RST() ((P2IN & ST3_9) != ST3_9)
#define SWITCH_ST3_9_OUTPUT() P2DIR |= ST3_9 
#define SWITCH_ST3_9_INPUT() P2DIR &= ~ST3_9 
#define ENABLE_ST3_9_INTERRUPT() P2IE |= ST3_9 
#define DISABLE_ST3_9_INTERRUPT() P2IE &= ~ST3_9 
#define SELECT_ST3_9_FALLING_EDGE() P2IES |= ST3_9 
#define SELECT_ST3_9_RISING_EDGE() P2IES &= ~ST3_9 
#define ST3_9_IFG_IS_SET() ((P2IFG & ST3_9) == ST3_9)
#define ST3_9_IFG_IS_RST() ((P2IFG & ST3_9) != ST3_9)
#define RST_ST3_9_IFG() P2IFG &= ~ST3_9 
#define SELECT_ST3_9_PORTFUNC() P2SEL &= ~ST3_9 
#define SELECT_ST3_9_MODULEFUNC() P2SEL |= ST3_9 

/* ---------------------------------------------------------------------------
 *
 * HOST_WAKEUP
 *
 *	Port2
 *	Pin 2.3
 *	Function selected: Port
 *	Initial direction: Input
 *	Initial level: "Low"
 *	Not inverted
 */
#define HOST_WAKEUP (unsigned char)0x08
#define P_HOST_WAKEUP_IN  P2IN
#define P_HOST_WAKEUP_OUT P2OUT
#define P_HOST_WAKEUP_DIR P2DIR
#define P_HOST_WAKEUP_IFG P2IFG
#define P_HOST_WAKEUP_IES P2IES
#define P_HOST_WAKEUP_IE  P2IE
#define P_HOST_WAKEUP_SEL P2SEL

#define SET_HOST_WAKEUP() P2OUT |= HOST_WAKEUP 
#define RST_HOST_WAKEUP() P2OUT &= ~HOST_WAKEUP 
#define TOGGLE_HOST_WAKEUP() P2OUT ^= HOST_WAKEUP 
#define HOST_WAKEUP_IS_SET() ((P2IN & HOST_WAKEUP) == HOST_WAKEUP)
#define HOST_WAKEUP_IS_RST() ((P2IN & HOST_WAKEUP) != HOST_WAKEUP)
#define SWITCH_HOST_WAKEUP_OUTPUT() P2DIR |= HOST_WAKEUP 
#define SWITCH_HOST_WAKEUP_INPUT() P2DIR &= ~HOST_WAKEUP 
#define ENABLE_HOST_WAKEUP_INTERRUPT() P2IE |= HOST_WAKEUP 
#define DISABLE_HOST_WAKEUP_INTERRUPT() P2IE &= ~HOST_WAKEUP 
#define SELECT_HOST_WAKEUP_FALLING_EDGE() P2IES |= HOST_WAKEUP 
#define SELECT_HOST_WAKEUP_RISING_EDGE() P2IES &= ~HOST_WAKEUP 
#define HOST_WAKEUP_IFG_IS_SET() ((P2IFG & HOST_WAKEUP) == HOST_WAKEUP)
#define HOST_WAKEUP_IFG_IS_RST() ((P2IFG & HOST_WAKEUP) != HOST_WAKEUP)
#define RST_HOST_WAKEUP_IFG() P2IFG &= ~HOST_WAKEUP 
#define SELECT_HOST_WAKEUP_PORTFUNC() P2SEL &= ~HOST_WAKEUP 
#define SELECT_HOST_WAKEUP_MODULEFUNC() P2SEL |= HOST_WAKEUP 

/* ---------------------------------------------------------------------------
 *
 * RESET_BT
 *
 *	Port2
 *	Pin 2.5
 *	Function selected: Port
 *	Initial direction: Output
 *	Initial level: "Low"
 *	Not inverted
 */
#define RESET_BT (unsigned char)0x20
#define P_RESET_BT_IN  P2IN
#define P_RESET_BT_OUT P2OUT
#define P_RESET_BT_DIR P2DIR
#define P_RESET_BT_IFG P2IFG
#define P_RESET_BT_IES P2IES
#define P_RESET_BT_IE  P2IE
#define P_RESET_BT_SEL P2SEL

#define SET_RESET_BT() P2OUT |= RESET_BT 
#define RST_RESET_BT() P2OUT &= ~RESET_BT 
#define TOGGLE_RESET_BT() P2OUT ^= RESET_BT 
#define RESET_BT_IS_SET() ((P2IN & RESET_BT) == RESET_BT)
#define RESET_BT_IS_RST() ((P2IN & RESET_BT) != RESET_BT)
#define SWITCH_RESET_BT_OUTPUT() P2DIR |= RESET_BT 
#define SWITCH_RESET_BT_INPUT() P2DIR &= ~RESET_BT 
#define ENABLE_RESET_BT_INTERRUPT() P2IE |= RESET_BT 
#define DISABLE_RESET_BT_INTERRUPT() P2IE &= ~RESET_BT 
#define SELECT_RESET_BT_FALLING_EDGE() P2IES |= RESET_BT 
#define SELECT_RESET_BT_RISING_EDGE() P2IES &= ~RESET_BT 
#define RESET_BT_IFG_IS_SET() ((P2IFG & RESET_BT) == RESET_BT)
#define RESET_BT_IFG_IS_RST() ((P2IFG & RESET_BT) != RESET_BT)
#define RST_RESET_BT_IFG() P2IFG &= ~RESET_BT 
#define SELECT_RESET_BT_PORTFUNC() P2SEL &= ~RESET_BT 
#define SELECT_RESET_BT_MODULEFUNC() P2SEL |= RESET_BT 

/* ---------------------------------------------------------------------------
 *
 * LSTAT_0
 *
 *	Port2
 *	Pin 2.6
 *	Function selected: Port
 *	Initial direction: Input
 *	Initial level: "Low"
 *	Not inverted
 */
#define LSTAT_0 (unsigned char)0x40
#define P_LSTAT_0_IN  P2IN
#define P_LSTAT_0_OUT P2OUT
#define P_LSTAT_0_DIR P2DIR
#define P_LSTAT_0_IFG P2IFG
#define P_LSTAT_0_IES P2IES
#define P_LSTAT_0_IE  P2IE
#define P_LSTAT_0_SEL P2SEL

#define SET_LSTAT_0() P2OUT |= LSTAT_0 
#define RST_LSTAT_0() P2OUT &= ~LSTAT_0 
#define TOGGLE_LSTAT_0() P2OUT ^= LSTAT_0 
#define LSTAT_0_IS_SET() ((P2IN & LSTAT_0) == LSTAT_0)
#define LSTAT_0_IS_RST() ((P2IN & LSTAT_0) != LSTAT_0)
#define SWITCH_LSTAT_0_OUTPUT() P2DIR |= LSTAT_0 
#define SWITCH_LSTAT_0_INPUT() P2DIR &= ~LSTAT_0 
#define ENABLE_LSTAT_0_INTERRUPT() P2IE |= LSTAT_0 
#define DISABLE_LSTAT_0_INTERRUPT() P2IE &= ~LSTAT_0 
#define SELECT_LSTAT_0_FALLING_EDGE() P2IES |= LSTAT_0 
#define SELECT_LSTAT_0_RISING_EDGE() P2IES &= ~LSTAT_0 
#define LSTAT_0_IFG_IS_SET() ((P2IFG & LSTAT_0) == LSTAT_0)
#define LSTAT_0_IFG_IS_RST() ((P2IFG & LSTAT_0) != LSTAT_0)
#define RST_LSTAT_0_IFG() P2IFG &= ~LSTAT_0 
#define SELECT_LSTAT_0_PORTFUNC() P2SEL &= ~LSTAT_0 
#define SELECT_LSTAT_0_MODULEFUNC() P2SEL |= LSTAT_0 

/* ---------------------------------------------------------------------------
 *
 * LSTAT_1
 *
 *	Port2
 *	Pin 2.7
 *	Function selected: Port
 *	Initial direction: Input
 *	Initial level: "Low"
 *	Not inverted
 */
#define LSTAT_1 (unsigned char)0x80
#define P_LSTAT_1_IN  P2IN
#define P_LSTAT_1_OUT P2OUT
#define P_LSTAT_1_DIR P2DIR
#define P_LSTAT_1_IFG P2IFG
#define P_LSTAT_1_IES P2IES
#define P_LSTAT_1_IE  P2IE
#define P_LSTAT_1_SEL P2SEL

#define SET_LSTAT_1() P2OUT |= LSTAT_1 
#define RST_LSTAT_1() P2OUT &= ~LSTAT_1 
#define TOGGLE_LSTAT_1() P2OUT ^= LSTAT_1 
#define LSTAT_1_IS_SET() ((P2IN & LSTAT_1) == LSTAT_1)
#define LSTAT_1_IS_RST() ((P2IN & LSTAT_1) != LSTAT_1)
#define SWITCH_LSTAT_1_OUTPUT() P2DIR |= LSTAT_1 
#define SWITCH_LSTAT_1_INPUT() P2DIR &= ~LSTAT_1 
#define ENABLE_LSTAT_1_INTERRUPT() P2IE |= LSTAT_1 
#define DISABLE_LSTAT_1_INTERRUPT() P2IE &= ~LSTAT_1 
#define SELECT_LSTAT_1_FALLING_EDGE() P2IES |= LSTAT_1 
#define SELECT_LSTAT_1_RISING_EDGE() P2IES &= ~LSTAT_1 
#define LSTAT_1_IFG_IS_SET() ((P2IFG & LSTAT_1) == LSTAT_1)
#define LSTAT_1_IFG_IS_RST() ((P2IFG & LSTAT_1) != LSTAT_1)
#define RST_LSTAT_1_IFG() P2IFG &= ~LSTAT_1 
#define SELECT_LSTAT_1_PORTFUNC() P2SEL &= ~LSTAT_1 
#define SELECT_LSTAT_1_MODULEFUNC() P2SEL |= LSTAT_1 

/* ---------------------------------------------------------------------------
 *
 * UART0_DCD
 *
 *	Port3
 *	Pin 3.2
 *	Function selected: Port
 *	Initial direction: Input
 *	Initial level: "Low"
 *	Not inverted
 */
#define UART0_DCD (unsigned char)0x04
#define P_UART0_DCD_IN  P3IN
#define P_UART0_DCD_OUT P3OUT
#define P_UART0_DCD_DIR P3DIR
#define P_UART0_DCD_IFG P3IFG
#define P_UART0_DCD_IES P3IES
#define P_UART0_DCD_IE  P3IE
#define P_UART0_DCD_SEL P3SEL

#define SET_UART0_DCD() P3OUT |= UART0_DCD 
#define RST_UART0_DCD() P3OUT &= ~UART0_DCD 
#define TOGGLE_UART0_DCD() P3OUT ^= UART0_DCD 
#define UART0_DCD_IS_SET() ((P3IN & UART0_DCD) == UART0_DCD)
#define UART0_DCD_IS_RST() ((P3IN & UART0_DCD) != UART0_DCD)
#define SWITCH_UART0_DCD_OUTPUT() P3DIR |= UART0_DCD 
#define SWITCH_UART0_DCD_INPUT() P3DIR &= ~UART0_DCD 
#define ENABLE_UART0_DCD_INTERRUPT() P3IE |= UART0_DCD 
#define DISABLE_UART0_DCD_INTERRUPT() P3IE &= ~UART0_DCD 
#define SELECT_UART0_DCD_FALLING_EDGE() P3IES |= UART0_DCD 
#define SELECT_UART0_DCD_RISING_EDGE() P3IES &= ~UART0_DCD 
#define UART0_DCD_IFG_IS_SET() ((P3IFG & UART0_DCD) == UART0_DCD)
#define UART0_DCD_IFG_IS_RST() ((P3IFG & UART0_DCD) != UART0_DCD)
#define RST_UART0_DCD_IFG() P3IFG &= ~UART0_DCD 
#define SELECT_UART0_DCD_PORTFUNC() P3SEL &= ~UART0_DCD 
#define SELECT_UART0_DCD_MODULEFUNC() P3SEL |= UART0_DCD 

/* ---------------------------------------------------------------------------
 *
 * UART0_DTR
 *
 *	Port3
 *	Pin 3.3
 *	Function selected: Port
 *	Initial direction: Output
 *	Initial level: "High"
 *	Inverted
 */
#define UART0_DTR (unsigned char)0x08
#define P_UART0_DTR_IN  P3IN
#define P_UART0_DTR_OUT P3OUT
#define P_UART0_DTR_DIR P3DIR
#define P_UART0_DTR_IFG P3IFG
#define P_UART0_DTR_IES P3IES
#define P_UART0_DTR_IE  P3IE
#define P_UART0_DTR_SEL P3SEL

#define SET_UART0_DTR() P3OUT &= ~UART0_DTR 
#define RST_UART0_DTR() P3OUT |= UART0_DTR 
#define TOGGLE_UART0_DTR() P3OUT ^= UART0_DTR 
#define UART0_DTR_IS_SET() ((P3IN & UART0_DTR) != UART0_DTR)
#define UART0_DTR_IS_RST() ((P3IN & UART0_DTR) == UART0_DTR)
#define SWITCH_UART0_DTR_OUTPUT() P3DIR |= UART0_DTR 
#define SWITCH_UART0_DTR_INPUT() P3DIR &= ~UART0_DTR 
#define ENABLE_UART0_DTR_INTERRUPT() P3IE |= UART0_DTR 
#define DISABLE_UART0_DTR_INTERRUPT() P3IE &= ~UART0_DTR 
#define SELECT_UART0_DTR_FALLING_EDGE() P3IES |= UART0_DTR 
#define SELECT_UART0_DTR_RISING_EDGE() P3IES &= ~UART0_DTR 
#define UART0_DTR_IFG_IS_SET() ((P3IFG & UART0_DTR) == UART0_DTR)
#define UART0_DTR_IFG_IS_RST() ((P3IFG & UART0_DTR) != UART0_DTR)
#define RST_UART0_DTR_IFG() P3IFG &= ~UART0_DTR 
#define SELECT_UART0_DTR_PORTFUNC() P3SEL &= ~UART0_DTR 
#define SELECT_UART0_DTR_MODULEFUNC() P3SEL |= UART0_DTR 

/* ---------------------------------------------------------------------------
 *
 * UART0_TX
 *
 *	Port3
 *	Pin 3.4
 *	Function selected: Peripheral module
 *	Initial direction: Output
 *	Initial level: "Low"
 *	Not inverted
 */

/* ---------------------------------------------------------------------------
 *
 * UART0_RX
 *
 *	Port3
 *	Pin 3.5
 *	Function selected: Peripheral module
 *	Initial direction: Input
 *	Initial level: "Low"
 *	Not inverted
 */

/* ---------------------------------------------------------------------------
 *
 * UART1_TX
 *
 *	Port3
 *	Pin 3.6
 *	Function selected: Peripheral module
 *	Initial direction: Output
 *	Initial level: "Low"
 *	Not inverted
 */

/* ---------------------------------------------------------------------------
 *
 * UART1_RX
 *
 *	Port3
 *	Pin 3.7
 *	Function selected: Peripheral module
 *	Initial direction: Input
 *	Initial level: "Low"
 *	Not inverted
 */

/* ---------------------------------------------------------------------------
 *
 * UART0_RTS
 *
 *	Port4
 *	Pin 4.0
 *	Function selected: Port
 *	Initial direction: Output
 *	Initial level: "High"
 *	Inverted
 */
#define UART0_RTS (unsigned char)0x01
#define P_UART0_RTS_IN  P4IN
#define P_UART0_RTS_OUT P4OUT
#define P_UART0_RTS_DIR P4DIR
#define P_UART0_RTS_IFG P4IFG
#define P_UART0_RTS_IES P4IES
#define P_UART0_RTS_IE  P4IE
#define P_UART0_RTS_SEL P4SEL

#define SET_UART0_RTS() P4OUT &= ~UART0_RTS 
#define RST_UART0_RTS() P4OUT |= UART0_RTS 
#define TOGGLE_UART0_RTS() P4OUT ^= UART0_RTS 
#define UART0_RTS_IS_SET() ((P4IN & UART0_RTS) != UART0_RTS)
#define UART0_RTS_IS_RST() ((P4IN & UART0_RTS) == UART0_RTS)
#define SWITCH_UART0_RTS_OUTPUT() P4DIR |= UART0_RTS 
#define SWITCH_UART0_RTS_INPUT() P4DIR &= ~UART0_RTS 
#define ENABLE_UART0_RTS_INTERRUPT() P4IE |= UART0_RTS 
#define DISABLE_UART0_RTS_INTERRUPT() P4IE &= ~UART0_RTS 
#define SELECT_UART0_RTS_FALLING_EDGE() P4IES |= UART0_RTS 
#define SELECT_UART0_RTS_RISING_EDGE() P4IES &= ~UART0_RTS 
#define UART0_RTS_IFG_IS_SET() ((P4IFG & UART0_RTS) == UART0_RTS)
#define UART0_RTS_IFG_IS_RST() ((P4IFG & UART0_RTS) != UART0_RTS)
#define RST_UART0_RTS_IFG() P4IFG &= ~UART0_RTS 
#define SELECT_UART0_RTS_PORTFUNC() P4SEL &= ~UART0_RTS 
#define SELECT_UART0_RTS_MODULEFUNC() P4SEL |= UART0_RTS 

/* ---------------------------------------------------------------------------
 *
 * UART0_CTS
 *
 *	Port4
 *	Pin 4.1
 *	Function selected: Port
 *	Initial direction: Input
 *	Initial level: "Low"
 *	Inverted
 */
#define UART0_CTS (unsigned char)0x02
#define P_UART0_CTS_IN  P4IN
#define P_UART0_CTS_OUT P4OUT
#define P_UART0_CTS_DIR P4DIR
#define P_UART0_CTS_IFG P4IFG
#define P_UART0_CTS_IES P4IES
#define P_UART0_CTS_IE  P4IE
#define P_UART0_CTS_SEL P4SEL

#define SET_UART0_CTS() P4OUT &= ~UART0_CTS 
#define RST_UART0_CTS() P4OUT |= UART0_CTS 
#define TOGGLE_UART0_CTS() P4OUT ^= UART0_CTS 
#define UART0_CTS_IS_SET() ((P4IN & UART0_CTS) != UART0_CTS)
#define UART0_CTS_IS_RST() ((P4IN & UART0_CTS) == UART0_CTS)
#define SWITCH_UART0_CTS_OUTPUT() P4DIR |= UART0_CTS 
#define SWITCH_UART0_CTS_INPUT() P4DIR &= ~UART0_CTS 
#define ENABLE_UART0_CTS_INTERRUPT() P4IE |= UART0_CTS 
#define DISABLE_UART0_CTS_INTERRUPT() P4IE &= ~UART0_CTS 
#define SELECT_UART0_CTS_FALLING_EDGE() P4IES |= UART0_CTS 
#define SELECT_UART0_CTS_RISING_EDGE() P4IES &= ~UART0_CTS 
#define UART0_CTS_IFG_IS_SET() ((P4IFG & UART0_CTS) == UART0_CTS)
#define UART0_CTS_IFG_IS_RST() ((P4IFG & UART0_CTS) != UART0_CTS)
#define RST_UART0_CTS_IFG() P4IFG &= ~UART0_CTS 
#define SELECT_UART0_CTS_PORTFUNC() P4SEL &= ~UART0_CTS 
#define SELECT_UART0_CTS_MODULEFUNC() P4SEL |= UART0_CTS 

/* ---------------------------------------------------------------------------
 *
 * UART1_CTS
 *
 *	Port4
 *	Pin 4.2
 *	Function selected: Port
 *	Initial direction: Output
 *	Initial level: "Low"
 *	Not inverted
 */
#define UART1_CTS (unsigned char)0x04
#define P_UART1_CTS_IN  P4IN
#define P_UART1_CTS_OUT P4OUT
#define P_UART1_CTS_DIR P4DIR
#define P_UART1_CTS_IFG P4IFG
#define P_UART1_CTS_IES P4IES
#define P_UART1_CTS_IE  P4IE
#define P_UART1_CTS_SEL P4SEL

#define SET_UART1_CTS() P4OUT |= UART1_CTS 
#define RST_UART1_CTS() P4OUT &= ~UART1_CTS 
#define TOGGLE_UART1_CTS() P4OUT ^= UART1_CTS 
#define UART1_CTS_IS_SET() ((P4IN & UART1_CTS) == UART1_CTS)
#define UART1_CTS_IS_RST() ((P4IN & UART1_CTS) != UART1_CTS)
#define SWITCH_UART1_CTS_OUTPUT() P4DIR |= UART1_CTS 
#define SWITCH_UART1_CTS_INPUT() P4DIR &= ~UART1_CTS 
#define ENABLE_UART1_CTS_INTERRUPT() P4IE |= UART1_CTS 
#define DISABLE_UART1_CTS_INTERRUPT() P4IE &= ~UART1_CTS 
#define SELECT_UART1_CTS_FALLING_EDGE() P4IES |= UART1_CTS 
#define SELECT_UART1_CTS_RISING_EDGE() P4IES &= ~UART1_CTS 
#define UART1_CTS_IFG_IS_SET() ((P4IFG & UART1_CTS) == UART1_CTS)
#define UART1_CTS_IFG_IS_RST() ((P4IFG & UART1_CTS) != UART1_CTS)
#define RST_UART1_CTS_IFG() P4IFG &= ~UART1_CTS 
#define SELECT_UART1_CTS_PORTFUNC() P4SEL &= ~UART1_CTS 
#define SELECT_UART1_CTS_MODULEFUNC() P4SEL |= UART1_CTS 

/* ---------------------------------------------------------------------------
 *
 * EMV_0
 *
 *	Port4
 *	Pin 4.4
 *	Function selected: Port
 *	Initial direction: Output
 *	Initial level: "High"
 *	Not inverted
 */
#define EMV_0 (unsigned char)0x10
#define P_EMV_0_IN  P4IN
#define P_EMV_0_OUT P4OUT
#define P_EMV_0_DIR P4DIR
#define P_EMV_0_IFG P4IFG
#define P_EMV_0_IES P4IES
#define P_EMV_0_IE  P4IE
#define P_EMV_0_SEL P4SEL

#define SET_EMV_0() P4OUT |= EMV_0 
#define RST_EMV_0() P4OUT &= ~EMV_0 
#define TOGGLE_EMV_0() P4OUT ^= EMV_0 
#define EMV_0_IS_SET() ((P4IN & EMV_0) == EMV_0)
#define EMV_0_IS_RST() ((P4IN & EMV_0) != EMV_0)
#define SWITCH_EMV_0_OUTPUT() P4DIR |= EMV_0 
#define SWITCH_EMV_0_INPUT() P4DIR &= ~EMV_0 
#define ENABLE_EMV_0_INTERRUPT() P4IE |= EMV_0 
#define DISABLE_EMV_0_INTERRUPT() P4IE &= ~EMV_0 
#define SELECT_EMV_0_FALLING_EDGE() P4IES |= EMV_0 
#define SELECT_EMV_0_RISING_EDGE() P4IES &= ~EMV_0 
#define EMV_0_IFG_IS_SET() ((P4IFG & EMV_0) == EMV_0)
#define EMV_0_IFG_IS_RST() ((P4IFG & EMV_0) != EMV_0)
#define RST_EMV_0_IFG() P4IFG &= ~EMV_0 
#define SELECT_EMV_0_PORTFUNC() P4SEL &= ~EMV_0 
#define SELECT_EMV_0_MODULEFUNC() P4SEL |= EMV_0 

/* ---------------------------------------------------------------------------
 *
 * EMV_1
 *
 *	Port4
 *	Pin 4.5
 *	Function selected: Port
 *	Initial direction: Output
 *	Initial level: "High"
 *	Not inverted
 */
#define EMV_1 (unsigned char)0x20
#define P_EMV_1_IN  P4IN
#define P_EMV_1_OUT P4OUT
#define P_EMV_1_DIR P4DIR
#define P_EMV_1_IFG P4IFG
#define P_EMV_1_IES P4IES
#define P_EMV_1_IE  P4IE
#define P_EMV_1_SEL P4SEL

#define SET_EMV_1() P4OUT |= EMV_1 
#define RST_EMV_1() P4OUT &= ~EMV_1 
#define TOGGLE_EMV_1() P4OUT ^= EMV_1 
#define EMV_1_IS_SET() ((P4IN & EMV_1) == EMV_1)
#define EMV_1_IS_RST() ((P4IN & EMV_1) != EMV_1)
#define SWITCH_EMV_1_OUTPUT() P4DIR |= EMV_1 
#define SWITCH_EMV_1_INPUT() P4DIR &= ~EMV_1 
#define ENABLE_EMV_1_INTERRUPT() P4IE |= EMV_1 
#define DISABLE_EMV_1_INTERRUPT() P4IE &= ~EMV_1 
#define SELECT_EMV_1_FALLING_EDGE() P4IES |= EMV_1 
#define SELECT_EMV_1_RISING_EDGE() P4IES &= ~EMV_1 
#define EMV_1_IFG_IS_SET() ((P4IFG & EMV_1) == EMV_1)
#define EMV_1_IFG_IS_RST() ((P4IFG & EMV_1) != EMV_1)
#define RST_EMV_1_IFG() P4IFG &= ~EMV_1 
#define SELECT_EMV_1_PORTFUNC() P4SEL &= ~EMV_1 
#define SELECT_EMV_1_MODULEFUNC() P4SEL |= EMV_1 

/* ---------------------------------------------------------------------------
 *
 * VDD_DIGI_PWR_D
 *
 *	Port4
 *	Pin 4.6
 *	Function selected: Port
 *	Initial direction: Output
 *	Initial level: "High"
 *	Not inverted
 */
#define VDD_DIGI_PWR_D (unsigned char)0x40
#define P_VDD_DIGI_PWR_D_IN  P4IN
#define P_VDD_DIGI_PWR_D_OUT P4OUT
#define P_VDD_DIGI_PWR_D_DIR P4DIR
#define P_VDD_DIGI_PWR_D_IFG P4IFG
#define P_VDD_DIGI_PWR_D_IES P4IES
#define P_VDD_DIGI_PWR_D_IE  P4IE
#define P_VDD_DIGI_PWR_D_SEL P4SEL

#define SET_VDD_DIGI_PWR_D() P4OUT |= VDD_DIGI_PWR_D 
#define RST_VDD_DIGI_PWR_D() P4OUT &= ~VDD_DIGI_PWR_D 
#define TOGGLE_VDD_DIGI_PWR_D() P4OUT ^= VDD_DIGI_PWR_D 
#define VDD_DIGI_PWR_D_IS_SET() ((P4IN & VDD_DIGI_PWR_D) == VDD_DIGI_PWR_D)
#define VDD_DIGI_PWR_D_IS_RST() ((P4IN & VDD_DIGI_PWR_D) != VDD_DIGI_PWR_D)
#define SWITCH_VDD_DIGI_PWR_D_OUTPUT() P4DIR |= VDD_DIGI_PWR_D 
#define SWITCH_VDD_DIGI_PWR_D_INPUT() P4DIR &= ~VDD_DIGI_PWR_D 
#define ENABLE_VDD_DIGI_PWR_D_INTERRUPT() P4IE |= VDD_DIGI_PWR_D 
#define DISABLE_VDD_DIGI_PWR_D_INTERRUPT() P4IE &= ~VDD_DIGI_PWR_D 
#define SELECT_VDD_DIGI_PWR_D_FALLING_EDGE() P4IES |= VDD_DIGI_PWR_D 
#define SELECT_VDD_DIGI_PWR_D_RISING_EDGE() P4IES &= ~VDD_DIGI_PWR_D 
#define VDD_DIGI_PWR_D_IFG_IS_SET() ((P4IFG & VDD_DIGI_PWR_D) == VDD_DIGI_PWR_D)
#define VDD_DIGI_PWR_D_IFG_IS_RST() ((P4IFG & VDD_DIGI_PWR_D) != VDD_DIGI_PWR_D)
#define RST_VDD_DIGI_PWR_D_IFG() P4IFG &= ~VDD_DIGI_PWR_D 
#define SELECT_VDD_DIGI_PWR_D_PORTFUNC() P4SEL &= ~VDD_DIGI_PWR_D 
#define SELECT_VDD_DIGI_PWR_D_MODULEFUNC() P4SEL |= VDD_DIGI_PWR_D 

/* ---------------------------------------------------------------------------
 *
 * LED_TX
 *
 *	Port5
 *	Pin 5.0
 *	Function selected: Port
 *	Initial direction: Output
 *	Initial level: "High"
 *	Inverted
 */
#define LED_TX (unsigned char)0x01
#define P_LED_TX_IN  P5IN
#define P_LED_TX_OUT P5OUT
#define P_LED_TX_DIR P5DIR
#define P_LED_TX_IFG P5IFG
#define P_LED_TX_IES P5IES
#define P_LED_TX_IE  P5IE
#define P_LED_TX_SEL P5SEL

#define SET_LED_TX() P5OUT &= ~LED_TX 
#define RST_LED_TX() P5OUT |= LED_TX 
#define TOGGLE_LED_TX() P5OUT ^= LED_TX 
#define LED_TX_IS_SET() ((P5IN & LED_TX) != LED_TX)
#define LED_TX_IS_RST() ((P5IN & LED_TX) == LED_TX)
#define SWITCH_LED_TX_OUTPUT() P5DIR |= LED_TX 
#define SWITCH_LED_TX_INPUT() P5DIR &= ~LED_TX 
#define ENABLE_LED_TX_INTERRUPT() P5IE |= LED_TX 
#define DISABLE_LED_TX_INTERRUPT() P5IE &= ~LED_TX 
#define SELECT_LED_TX_FALLING_EDGE() P5IES |= LED_TX 
#define SELECT_LED_TX_RISING_EDGE() P5IES &= ~LED_TX 
#define LED_TX_IFG_IS_SET() ((P5IFG & LED_TX) == LED_TX)
#define LED_TX_IFG_IS_RST() ((P5IFG & LED_TX) != LED_TX)
#define RST_LED_TX_IFG() P5IFG &= ~LED_TX 
#define SELECT_LED_TX_PORTFUNC() P5SEL &= ~LED_TX 
#define SELECT_LED_TX_MODULEFUNC() P5SEL |= LED_TX 

/* ---------------------------------------------------------------------------
 *
 * LED_LSTAT
 *
 *	Port5
 *	Pin 5.1
 *	Function selected: Port
 *	Initial direction: Output
 *	Initial level: "High"
 *	Inverted
 */
#define LED_LSTAT (unsigned char)0x02
#define P_LED_LSTAT_IN  P5IN
#define P_LED_LSTAT_OUT P5OUT
#define P_LED_LSTAT_DIR P5DIR
#define P_LED_LSTAT_IFG P5IFG
#define P_LED_LSTAT_IES P5IES
#define P_LED_LSTAT_IE  P5IE
#define P_LED_LSTAT_SEL P5SEL

#define SET_LED_LSTAT() P5OUT &= ~LED_LSTAT 
#define RST_LED_LSTAT() P5OUT |= LED_LSTAT 
#define TOGGLE_LED_LSTAT() P5OUT ^= LED_LSTAT 
#define LED_LSTAT_IS_SET() ((P5IN & LED_LSTAT) != LED_LSTAT)
#define LED_LSTAT_IS_RST() ((P5IN & LED_LSTAT) == LED_LSTAT)
#define SWITCH_LED_LSTAT_OUTPUT() P5DIR |= LED_LSTAT 
#define SWITCH_LED_LSTAT_INPUT() P5DIR &= ~LED_LSTAT 
#define ENABLE_LED_LSTAT_INTERRUPT() P5IE |= LED_LSTAT 
#define DISABLE_LED_LSTAT_INTERRUPT() P5IE &= ~LED_LSTAT 
#define SELECT_LED_LSTAT_FALLING_EDGE() P5IES |= LED_LSTAT 
#define SELECT_LED_LSTAT_RISING_EDGE() P5IES &= ~LED_LSTAT 
#define LED_LSTAT_IFG_IS_SET() ((P5IFG & LED_LSTAT) == LED_LSTAT)
#define LED_LSTAT_IFG_IS_RST() ((P5IFG & LED_LSTAT) != LED_LSTAT)
#define RST_LED_LSTAT_IFG() P5IFG &= ~LED_LSTAT 
#define SELECT_LED_LSTAT_PORTFUNC() P5SEL &= ~LED_LSTAT 
#define SELECT_LED_LSTAT_MODULEFUNC() P5SEL |= LED_LSTAT 

/* ---------------------------------------------------------------------------
 *
 * LED_RX
 *
 *	Port5
 *	Pin 5.2
 *	Function selected: Port
 *	Initial direction: Output
 *	Initial level: "High"
 *	Inverted
 */
#define LED_RX (unsigned char)0x04
#define P_LED_RX_IN  P5IN
#define P_LED_RX_OUT P5OUT
#define P_LED_RX_DIR P5DIR
#define P_LED_RX_IFG P5IFG
#define P_LED_RX_IES P5IES
#define P_LED_RX_IE  P5IE
#define P_LED_RX_SEL P5SEL

#define SET_LED_RX() P5OUT &= ~LED_RX 
#define RST_LED_RX() P5OUT |= LED_RX 
#define TOGGLE_LED_RX() P5OUT ^= LED_RX 
#define LED_RX_IS_SET() ((P5IN & LED_RX) != LED_RX)
#define LED_RX_IS_RST() ((P5IN & LED_RX) == LED_RX)
#define SWITCH_LED_RX_OUTPUT() P5DIR |= LED_RX 
#define SWITCH_LED_RX_INPUT() P5DIR &= ~LED_RX 
#define ENABLE_LED_RX_INTERRUPT() P5IE |= LED_RX 
#define DISABLE_LED_RX_INTERRUPT() P5IE &= ~LED_RX 
#define SELECT_LED_RX_FALLING_EDGE() P5IES |= LED_RX 
#define SELECT_LED_RX_RISING_EDGE() P5IES &= ~LED_RX 
#define LED_RX_IFG_IS_SET() ((P5IFG & LED_RX) == LED_RX)
#define LED_RX_IFG_IS_RST() ((P5IFG & LED_RX) != LED_RX)
#define RST_LED_RX_IFG() P5IFG &= ~LED_RX 
#define SELECT_LED_RX_PORTFUNC() P5SEL &= ~LED_RX 
#define SELECT_LED_RX_MODULEFUNC() P5SEL |= LED_RX 

/*
 * Initial port setup
 */
#define INIT_PORT_1() {P1SEL = (unsigned char)0x0; P1OUT = (unsigned char)0x40; P1DIR = (unsigned char)0xFF;}
#define INIT_PORT_2() {P2SEL = (unsigned char)0x0; P2OUT = (unsigned char)0x0; P2DIR = (unsigned char)0x30;}
#define INIT_PORT_3() {P3SEL = (unsigned char)0xF0; P3OUT = (unsigned char)0x8; P3DIR = (unsigned char)0x5B;}
#define INIT_PORT_4() {P4SEL = (unsigned char)0x0; P4OUT = (unsigned char)0x70; P4DIR = (unsigned char)0xFD;}
#define INIT_PORT_5() {P5SEL = (unsigned char)0x0; P5OUT = (unsigned char)0x7; P5DIR = (unsigned char)0xFF;}
#define INIT_PORT_6() {P6SEL = (unsigned char)0x0; P6OUT = (unsigned char)0x0; P6DIR = (unsigned char)0xFF;}

#endif /* #ifndef PORTDEF_H */
